/* OpenVAS
* $Id: users.h 9375 2010-11-09 21:56:42Z jan $
* Description: users.c headerfile.
*
* Authors: - Renaud Deraison <deraison@nessus.org> (Original pre-fork develoment)
*          - Tim Brown <mailto:timb@openvas.org> (Initial fork)
*          - Laban Mwangi <mailto:labanm@openvas.org> (Renaming work)
*          - Tarik El-Yassem <mailto:tarik@openvas.org> (Headers section)
*
* Copyright:
* Portions Copyright (C) 2006 Software in the Public Interest, Inc.
* Based on work Copyright (C) 1998 - 2006 Tenable Network Security, Inc.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2,
* as published by the Free Software Foundation
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
*
*
*/


#ifndef _OPENVAS_USERS_H
#define _OPENVAS_USERS_H

#include <openvas/misc/arglists.h>   /* for struct arglist */

#define BAD_LOGIN_ATTEMPT (struct openvas_rules*)(-1)
#define OPENVAS_MAX_USERNAME_LEN	32      /* Including the ending nul byte! */

char *user_home (struct arglist *);

struct openvas_rules *check_user (char *, char *, char *);
void users_add_rule (struct openvas_rules *, char *);
#endif
